---
title: List schemas
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > SCIM
---

# List schemas{% #list-schemas %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scim/Schemas |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scim/Schemas |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scim/Schemas      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scim/Schemas      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scim/Schemas  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scim/Schemas     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scim/Schemas |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scim/Schemas |

### Overview

List the SCIM schemas supported by this service provider. See [RFC 7644 Section 4](https://tools.ietf.org/html/rfc7644#section-4) for more information. This endpoint requires all of the following permissions:
`user_access_invite``user_access_manage` 


### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List schemas response object.

| Parent field  | Field           | Type     | Description                                                                                                                                                        |
| ------------- | --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|               | Resources       | [object] | List of schemas supported by this SCIM service provider.                                                                                                           |
| Resources     | attributes      | [object] | A list of attributes that make up the schema.                                                                                                                      |
| attributes    | canonicalValues | [string] | A collection of canonical values.                                                                                                                                  |
| attributes    | caseExact       | boolean  | A Boolean value that specifies whether or not a string attribute is case sensitive.                                                                                |
| attributes    | description     | string   | The attribute's human-readable description.                                                                                                                        |
| attributes    | multiValued     | boolean  | A Boolean value indicating an attribute's plurality.                                                                                                               |
| attributes    | mutability      | string   | A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.                                                           |
| attributes    | name            | string   | The attribute's name.                                                                                                                                              |
| attributes    | referenceTypes  | [string] | A list of resource types or external resources the reference may refer to.                                                                                         |
| attributes    | required        | boolean  | A Boolean value that specifies whether or not the attribute is required.                                                                                           |
| attributes    | returned        | string   | A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request. |
| attributes    | subAttributes   | [object] | A list of sub-attributes for complex attributes.                                                                                                                   |
| subAttributes | canonicalValues | [string] | A collection of canonical values.                                                                                                                                  |
| subAttributes | caseExact       | boolean  | A Boolean value that specifies whether or not a string attribute is case sensitive.                                                                                |
| subAttributes | description     | string   | The attribute's human-readable description.                                                                                                                        |
| subAttributes | multiValued     | boolean  | A Boolean value indicating an attribute's plurality.                                                                                                               |
| subAttributes | mutability      | string   | A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.                                                           |
| subAttributes | name            | string   | The sub-attribute's name.                                                                                                                                          |
| subAttributes | referenceTypes  | [string] | A list of resource types or external resources the reference may refer to.                                                                                         |
| subAttributes | required        | boolean  | A Boolean value that specifies whether or not the attribute is required.                                                                                           |
| subAttributes | returned        | string   | A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request. |
| subAttributes | type            | string   | The data type of the attribute.                                                                                                                                    |
| subAttributes | uniqueness      | string   | A single keyword value that specifies how the service provider enforces uniqueness of attribute values.                                                            |
| attributes    | type            | string   | The data type of the attribute.                                                                                                                                    |
| attributes    | uniqueness      | string   | A single keyword value that specifies how the service provider enforces uniqueness of attribute values.                                                            |
| Resources     | description     | string   | Human-readable description of the schema.                                                                                                                          |
| Resources     | id              | string   | The unique URI of the schema.                                                                                                                                      |
| Resources     | meta            | object   | Metadata associated with a SCIM schema.                                                                                                                            |
| meta          | location        | string   | URL identifying the schema.                                                                                                                                        |
| meta          | resourceType    | string   | Type of resource.                                                                                                                                                  |
| Resources     | name            | string   | The human-readable name of the schema.                                                                                                                             |
|               | itemsPerPage    | int64    | Number of schemas returned per page.                                                                                                                               |
|               | schemas         | [string] | List response JSON Schemas.                                                                                                                                        |
|               | startIndex      | int64    | Starting index of the schemas for this page (1-indexed).                                                                                                           |
|               | totalResults    | int64    | Total number of schemas.                                                                                                                                           |

{% /tab %}

{% tab title="Example" %}

```json
{
  "Resources": [
    {
      "description": "User Schema",
      "id": "urn:ietf:params:scim:schemas:core:2.0:User",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:User",
        "resourceType": "Schema"
      },
      "name": "User"
    },
    {
      "description": "Group Schema",
      "id": "urn:ietf:params:scim:schemas:core:2.0:Group",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:Group",
        "resourceType": "Schema"
      },
      "name": "Group"
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 2
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scim/Schemas" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
